summaryrefslogtreecommitdiffstats
path: root/sanity/system_light/scripts/dd
diff options
context:
space:
mode:
Diffstat (limited to 'sanity/system_light/scripts/dd')
-rwxr-xr-xsanity/system_light/scripts/dd/dd.sh14
-rwxr-xr-xsanity/system_light/scripts/dd/dd_run.sh19
2 files changed, 33 insertions, 0 deletions
diff --git a/sanity/system_light/scripts/dd/dd.sh b/sanity/system_light/scripts/dd/dd.sh
new file mode 100755
index 0000000..7a1a23e
--- /dev/null
+++ b/sanity/system_light/scripts/dd/dd.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+function main ()
+{
+ $TOOLDIR/dd_run.sh;
+ if [ $? -eq 0 ]; then
+ rm -f $PWD/$OF && echo "dd file removed";
+ return 0;
+ else
+ return 1;
+ fi
+}
+
+main "$@" \ No newline at end of file
diff --git a/sanity/system_light/scripts/dd/dd_run.sh b/sanity/system_light/scripts/dd/dd_run.sh
new file mode 100755
index 0000000..f2857cc
--- /dev/null
+++ b/sanity/system_light/scripts/dd/dd_run.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+function main ()
+{
+ echo "start:`date +%T`"
+ time dd if=/dev/zero of=$PWD/$OF bs=$BS_SIZE count=$DD_CNT 2>>$LOG_FILE #copies specified amount of data from the input file to the output file
+
+
+ if [ $? -ne 0 ]; then
+ echo "end:`date +%T`"
+ return 11;
+ else
+ echo "end:`date +%T`"
+ return 0;
+ fi
+
+}
+
+main "$@"; \ No newline at end of file